Update monitor
curl --request PATCH \
--url https://api.trymaitai.ai/api/v1/monitors/{monitor_id} \
--header 'Content-Type: application/json' \
--header 'X-Maitai-Api-Key: <api-key>' \
--data '
{
"description": "Catches order intents missing required fields (customer_id, order_total).",
"status": "ACTIVE"
}
'import requests
url = "https://api.trymaitai.ai/api/v1/monitors/{monitor_id}"
payload = {
"description": "Catches order intents missing required fields (customer_id, order_total).",
"status": "ACTIVE"
}
headers = {
"X-Maitai-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Maitai-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: 'Catches order intents missing required fields (customer_id, order_total).',
status: 'ACTIVE'
})
};
fetch('https://api.trymaitai.ai/api/v1/monitors/{monitor_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 501,
"name": "Order intake completeness",
"status": "ACTIVE",
"has_unpublished_changes": true
}
}Monitors
Update monitor
Update name, description, status, runner config, resolution config, or meta.
PATCH
/
monitors
/
{monitor_id}
Update monitor
Authorizations
Your Maitai API key from the Portal.
Path Parameters
Body
application/json
Response
200 - application/json
Update monitor.
Was this page helpful?
⌘I